function OnSceneLoad(screen)
    game_state = {}    
    play_field.game_state = game_state
    LoadData(screen)
    local pf = play_field
    local level = pf:GetLevelScreen()
    game_state.custom_cursors = {}
    game_state.locked_objects = {}
    game_state.active_objects = {}
    level:AddTaskSafe(CreateTask('BADGE', '', 'sign'))	
	--level:AddTaskSafe(CreateTask('RULER', '', 'lineyka'))
    --level:AddTaskSafe(CreateTask('PEN', 'PENS', 'item_ruchka', 'pen'))
    --zone = CreateZoomZone('')	
	
	AddRandomTasks(16,
			   CreateTask('ANGEL', 'ANGELS', 'angel1', 'angel2'),
			   CreateTask('BALLOON', '', 'balloon'),
               CreateTask('WATCH', '', 'watch'),
               CreateTask('ORANGE', '', 'apple'),               
               CreateTask('CLIP', 'CLIPS', 'clip', 'clip2', 'clip3', 'clip4', 'clip5'),                              
               CreateTask('GLOVES', '', 'gloves'),
               CreateTask('LIGHTBULB', '', 'lightbulb'),
			   CreateTask('MASK', '', 'mask'),
			   CreateTask('MERMAID', '', 'mermaid'),
               CreateTask('NEWSPAPERS', '', 'newspapers'),
               CreateTask('PAD', '', 'pad'),
			   CreateTask('CANDY', '', 'candy'),
			   CreateTask('ONION', '', 'onion'),
			   CreateTask('ROSE', '', 'rose'),
			   CreateTask('WHITE_BOOK', '', 'book'),
			   CreateTask('STARFISH', 'STARFISH_PLURAL', 'starfish1', 'starfish2')
	);
    
	local object = play_field:GetObject('door');
	inventory_door = CreateInventory(object:GetX(),
                    object:GetY(),
                    object:GetZ() + 15,
                    object:GetName(),
                    nil,
                    CreateItem('key_tool', 'key'),
					nil,
                    play_field:GetTimer(),
					"INVENTORY_TASK_3_1");
					
	inventory_door.state_changer = "OnDoorOpened"
	
	inventory_door.OnComplete = function()
	    local obj = play_field:GetObject('door')	
	    obj:SetOpacity(0)
	    local obj = play_field:GetObject('dver')			
	    obj:SetOpacity(1)
	    obj:GetAnimation():Play()
		PlaySound("3_OpenDoor");
	    play_field.game_state.locked_objects['sign'] = false
	end
	    
	local object = play_field:GetObject('flake');
	inventory_darkness =CreateInventory(object:GetX() - 100,
                                        object:GetY() + 150,
                                        object:GetZ() + 2,
                                        object:GetName(),
                                        CreateItem('torch_tool', 'torch'),
                                        CreateItem('battery_tool', 'battery3'),
                                        CreateItem('battery2_tool', 'battery3'),
                                        play_field:GetTimer(),
										"INVENTORY_TASK_3_2")
	inventory_darkness.state_changer = "OnDarknessComplete"
	
	inventory_darkness.OnComplete = function()
	    play_field:GetObject('flake'):ChangeOpacity(1, 0, 0.3)	    
	    play_field.game_state.locked_objects['key'] = false
		inventory_door.Unlock()
	end	
    
	zoom_safe = CreateZoomZone('close_zone_safe',                                         
                               '',
                               'seyf_bak',                                         
                               'item_ruchka',
                               'lineyka',								
								'sprait_2',
								'sprait_karty',
								'sprait_noruchniki',
								'sprait_ramki',
								'battery_zoom3',
								'battery_zoom',
								'coins',
                                'Border')
                                
    zoom_safe.SetOffsetZ(200)
	
	CreateTool('key', 'key')
	--CreateTool('shell', 'shell')
	CreateTool('torch', 'torch')
	local t = CreateTool('battery_zoom', 'battery')
	t.OnSet = function()
		zoom_safe.SetVisible(false)
		game_state.locker:Release()		
	end
	
	t.OnSuccess = function()
		zoom_safe.RemoveObject('battery_zoom')
		game_state.safe_objects_left = game_state.safe_objects_left - 1
		CheckZoomSafe()
	end
	
	t.OnFail = function()
	    play_field:ShowParticleLine(GetMouseX(),
                                    GetMouseY(),
                                    play_field:GetObject('safe_active_zone'):GetX(),
                                    play_field:GetObject('safe_active_zone'):GetY(),
                                    300)
	end
	
	t = CreateTool('battery_zoom3', 'battery3')
	t.OnSet = function()
		zoom_safe.SetVisible(false)
		game_state.locker:Release()		
	end
	
	t.OnSuccess = function()
		zoom_safe.RemoveObject('battery_zoom3')
		game_state.safe_objects_left = game_state.safe_objects_left - 1
		CheckZoomSafe()
	end
	
	t.OnFail = function()
	    play_field:ShowParticleLine(GetMouseX(),
                                    GetMouseY(),
                                    play_field:GetObject('safe_active_zone'):GetX(),
                                    play_field:GetObject('safe_active_zone'):GetY(),
                                    300)
	end	
	
	local obj = play_field:GetObject('dver')	
	obj:SetOpacity(0)
	obj:GetAnimation():Stop()
	obj:GetAnimation():SetMode(HGEANIM_FWD + HGEANIM_NOLOOP)
	game_state.locker = ReferenceCounter()	
	
	play_field:GetObject('anim_seyfa'):GetAnimation():SetMode(HGEANIM_FWD + HGEANIM_NOLOOP)
	play_field:GetObject('anim_seyfa'):GetAnimation():Stop()


    game_state.custom_cursors['safe_door_active_zone'] = 'CursorArms'
	
	game_state.safe_objects_left = 2
	
	timer = play_field:GetTimer()
	
	play_field:GetObject('kosiak'):GetAnimation():Stop()
	TimerDoString('LoopFishAnimation()', GetAnimationLength(play_field:GetObject('kosiak'):GetAnimation()), timer)
		
    InitChain1(screen)
	game_state.chain1.state_changer = "OnStartingComicsComplete"
    InitChain2(screen)
	game_state.chain2.final = true
	AddSheriffEyeLogic()	
	play_field:IgnoreOnTestPoint('umbrella');
	play_field:IgnoreOnTestPoint('shovel');
	
	game_state.locked_objects['safe_active_zone'] = true
	game_state.locked_objects['sign'] = true
	game_state.locked_objects['key'] = true
	
	game_state.meta_object = 'cigar3'
	
	game_state.OnDoorOpened = function()
		local obj = play_field:GetObject('door')	
	    obj:SetOpacity(0)
	    local obj = play_field:GetObject('dver')			
	    obj:SetOpacity(1)
	    obj:GetAnimation():SetFrame(obj:GetAnimation():GetFrames() - 1)
	    play_field.game_state.locked_objects['sign'] = false
	end
	
	game_state.OnDarknessComplete = function()
		play_field:GetObject('flake'):SetOpacity(0)
	    play_field.game_state.locked_objects['key'] = false
		inventory_door.Unlock()
	end
	
	game_state.OnSafeOpened = function()
		game_state.locked_objects['safe_active_zone'] = false
		local anim = play_field:GetObject('anim_seyfa'):GetAnimation()
		anim:SetFrame(anim:GetFrames() - 1)
	end
	
	game_state.OnStartingComicsComplete = function()
		RegisterZoomZone(zoom_safe, 'safe_active_zone');
		inventory_darkness.Unlock();
	end
	
	game_state.OnMinigameConditionsComplete = function()
	    if game_state.do_not_load_mini_game then
	        return
	    end
	    load_screen('data/Scenes/Minigames/3_circles.lua');
	end
end

function InitChain1(screen)
    local comics1 = CreateComics(screen,
                                 'Sheriff',
								 'eyes')

	comics1.OnHidden = function()
		comics1.DefaultOnHidden()
		RegisterZoomZone(zoom_safe, 'safe_active_zone');
		inventory_darkness.Unlock();
	end
	
    game_state.chain1 = CreateChain('pixel1',
                                    screen,
                                    comics1, GetString("COMICS_3_1"))
end

function InitChain2(screen)
    local comics1 = CreateComics(screen,
                                 'Sheriff',
								 'eyes')

    comics1.OnHidden = function()
	    comics1.DefaultOnHidden()
        OnWin()
    end 
    
    game_state.chain2 = CreateChain('pixel2',
                                    screen,
                                    comics1, GetString("COMICS_3_2"))
end

function OnScreenShown()
    --game_state.comics.SetVisible(true)
    game_state.chain1.Start()
end

function OnMinigameCompleted()
    play_field:GetObject('anim_seyfa'):GetAnimation():Play()
	PlaySound("3_OpenSafe");
	local cp = GetProfileManager():GetCurrentProfile()
	cp:AddStateChanger('OnSafeOpened')
end

function OnSceneFree()
    FreeData()
end

function LoopFishAnimation()
    if not play_field:HasObject("kosiak") then
        return
    end
    local anim = play_field:GetObject("kosiak"):GetAnimation()
    anim:Stop()
    local delay = GetAnimationLength(anim)
    TimerDoString('play_field:GetObject("kosiak"):GetAnimation():Play()', delay * 3, timer)
    TimerDoString('LoopFishAnimation()', 4 * delay, timer)
end

function OnUpdate(dt)
end

--[[function OnAllItemsFound()   
    CloseNotebook();
end]]

function OnNotebookClosed()    
	game_state.chain2.Start()
end

function OnNotebookOpened()
end


function OnExit()
end

function OnObjectMouseEnter(object)
    DefaultOnObjectMouseEnter(object)
end

function OnObjectMouseLeave(object)
    DefaultOnObjectMouseLeave(object)
end

function OnObjectMouseDown(object)
    local obj_name = object:GetName()    
    local is_wrong_click = true
    local pf = play_field    
    
    is_wrong_click = DefaultOnObjectMouseDown(object)

    if is_wrong_click  and not game_state.locked_objects['safe_door_active_zone'] then
        if obj_name == 'safe_door_active_zone'	then
            game_state.custom_cursors['safe_door_active_zone'] = ''
            game_state.locked_objects['safe_active_zone'] = false
            load_screen('data/Scenes/Minigames/3_circles.lua');
            RemoveObject('safe_door_active_zone')
			local pm = GetProfileManager();
			local currentProfile = pm:GetCurrentProfile();
			currentProfile:AddStateChanger('OnMinigameConditionsComplete')
			OnSceneStateChanged(play_field);
        end
    end
    
    return is_wrong_click;
end

function OnObjectMouseUp(object)
end

function CheckZoomSafe()
	if game_state.safe_objects_left == 0 then
		zoom_safe.SetVisible(false)
		if game_state.locker:GetNReferences() > 0 then
		    game_state.locker:Release()
		end
		UnregisterZoomZone(zoom_safe)
		--game_state.locked_objects['safe_active_zone'] = true
    end
end

function OnObjectWillBeFound(object)
	local object_name = object:GetName()	
	
	--[[if object_name == 'item_ruchka' or object_name == 'lineyka' then
	   
       game_state.safe_objects_left = game_state.safe_objects_left - 1
	   CheckZoomSafe()
	end]]	
end

function OnToolFound(tool)
end

function OnToolApply(tool, object)    
    DefaultOnToolApply(tool, object);
end

function OnObjectReachPanel(object)
end

function OnButtonPress(title)
    DefaultOnButtonPress(title)
end

function OnMouseMove(previous_pos, current_pos)
end

function OnSetTool(tool)
end

function CanBeHinted(obj)
    if locked_object[obj] ~= true then
        return true
    else
        return false
    end
end

function OnLostFocus()
end

function OnGainFocus()
end

-- CLEAR_ON_SAVE_BEGIN
-- Do not edit code listed below (generated by the editor on each save)
function LoadData(screen)
	local anim = CreateAnimation('data/Texture/Scenes/3_sheriff_cabinet_2/Items/clip.png',0,0,32,13,1,0)
	anim:SetHotSpot(16,7)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('clip',anim,1001,575,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/3_sheriff_cabinet_2/Items/clip.png',0,0,32,13,1,0)
	anim:SetHotSpot(16,7)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('clip2',anim,658,521,113,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/3_sheriff_cabinet_2/Items/clip.png',0,0,32,13,1,0)
	anim:SetHotSpot(16,7)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('clip3',anim,206,715,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/3_sheriff_cabinet_2/Items/sign.png',0,0,39,40,1,0)
	anim:SetHotSpot(19,20)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('sign',anim,838,262,100,0,0.8,0.8)
	local anim = CreateAnimation('data/Texture/Scenes/3_sheriff_cabinet_2/Items/clip.png',0,0,32,13,1,0)
	anim:SetHotSpot(16,7)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('clip4',anim,660,304,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/3_sheriff_cabinet_2/Items/clip.png',0,0,32,13,1,0)
	anim:SetHotSpot(16,7)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('clip5',anim,695,661,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/3_sheriff_cabinet_2/Items/torch.png',0,0,66,25,1,0)
	anim:SetHotSpot(33,12)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('torch',anim,765,635,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/3_sheriff_cabinet_2/Layers/bg.jpg',0,0,1024,768,1,0)
	anim:SetHotSpot(512,384)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('bg',anim,512,384,90,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/3_sheriff_cabinet_2/Animations/lamps.dds',0,0,221,273,24,5)
	anim:SetHotSpot(111,137)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('lamps',anim,412,162,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/3_sheriff_cabinet_2/Animations/puzik/bulb.dds',0,0,59,188,10,10)
	anim:SetHotSpot(30,94)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('bulb',anim,240,375,114,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/3_sheriff_cabinet_2/Animations/kosiak/kosiak.dds',0,0,132,152,12,8)
	anim:SetHotSpot(66,76)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('kosiak',anim,271,299,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/3_sheriff_cabinet_2/Animations/dverca/dver.dds',0,0,99,143,7,5)
	anim:SetHotSpot(50,72)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('dver',anim,795,218,120,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/3_sheriff_cabinet_2/Layers/door.png',0,0,57,142,1,0)
	anim:SetHotSpot(28,71)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('door',anim,843,216,105,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/3_sheriff_cabinet_2/Items/torch.png',0,0,66,25,1,0)
	anim:SetHotSpot(33,12)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('torch_tool',anim,695,74,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/3_sheriff_cabinet_2/Zoom/lineyka.png',0,0,99,44,1,0)
	anim:SetHotSpot(49,22)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('lineyka',anim,469,521,154,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/3_sheriff_cabinet_2/Zoom/sprait_2.png',0,0,110,20,1,0)
	anim:SetHotSpot(55,10)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('sprait_2',anim,507,369,164,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/3_sheriff_cabinet_2/Zoom/sprait_karty.png',0,0,35,40,1,0)
	anim:SetHotSpot(17,20)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('sprait_karty',anim,434,532,174,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/3_sheriff_cabinet_2/Zoom/sprait_noruchniki.png',0,0,56,33,1,0)
	anim:SetHotSpot(28,16)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('sprait_noruchniki',anim,324,578,194,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/3_sheriff_cabinet_2/Zoom/sprait_ramki.png',0,0,33,35,1,0)
	anim:SetHotSpot(16,17)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('sprait_ramki',anim,648,355,165,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/3_sheriff_cabinet_2/Zoom/seyf_bak.jpg',0,0,640,480,1,0)
	anim:SetHotSpot(320,240)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('seyf_bak',anim,512,384,123,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/Common/pixel.jpg',0,0,8,8,1,0)
	anim:SetHotSpot(4,4)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('pixel1',anim,512,384,401,0,128,96)
	local anim = CreateAnimation('data/Texture/Scenes/Common/pixel.jpg',0,0,8,8,1,0)
	anim:SetHotSpot(4,4)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('pixel2',anim,512,384,401,0,128,96)
	local anim = CreateAnimation('data/Texture/Comics/Sheriff.dds',0,0,530,636,1,0)
	anim:SetHotSpot(266,256)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('Sheriff',anim,505,390,400,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/Common/pixel.jpg',0,0,8,8,1,0)
	anim:SetHotSpot(4,4)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('pixelcomics',anim,512,384,401,0,128,96)
	local anim = CreateAnimation('data/Texture/Comics/eyes.png',0,0,79,33,1,0)
	anim:SetHotSpot(39,16)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('eyes',anim,499,212,500,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/Common/pixel.jpg',0,0,8,8,1,0)
	anim:SetHotSpot(4,4)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	screen:CreateObject('safe_active_zone',anim,260,584,99,0,10,10)
	local anim = CreateAnimation('data/Texture/Scenes/3_sheriff_cabinet_2/Items/apple.png',0,0,31,43,1,0)
	anim:SetHotSpot(15,21)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('apple',anim,918,438,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/3_sheriff_cabinet_2/Items/folder.png',0,0,74,65,1,0)
	anim:SetHotSpot(37,32)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('folder',anim,226,648,120,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/3_sheriff_cabinet_2/Items/gloves.png',0,0,71,34,1,0)
	anim:SetHotSpot(35,17)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('gloves',anim,759,702,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/3_sheriff_cabinet_2/Items/lightbulb.png',0,0,28,52,1,0)
	anim:SetHotSpot(14,26)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('lightbulb',anim,564,56,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/3_sheriff_cabinet_2/Items/newspapers.png',0,0,116,54,1,0)
	anim:SetHotSpot(58,27)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('newspapers',anim,575,718,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/3_sheriff_cabinet_2/Layers/shovel.png',0,0,90,178,1,0)
	anim:SetHotSpot(45,89)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('shovel',anim,571,636,105,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/3_sheriff_cabinet_2/Items/pad.png',0,0,80,57,1,0)
	anim:SetHotSpot(40,28)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('pad',anim,954,536,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/3_sheriff_cabinet_2/Items/pen.png',0,0,79,29,1,0)
	anim:SetHotSpot(39,14)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('pen',anim,847,485,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/3_sheriff_cabinet_2/Layers/packet.png',0,0,50,118,1,0)
	anim:SetHotSpot(25,59)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('packet',anim,736,593,105,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/3_sheriff_cabinet_2/Items/watch.png',0,0,55,29,1,0)
	anim:SetHotSpot(27,14)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('watch',anim,383,562,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/3_sheriff_cabinet_2/Items/starfish2.png',0,0,43,43,1,0)
	anim:SetHotSpot(21,21)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('starfish2',anim,446,338,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/3_sheriff_cabinet_2/Layers/corel.png',0,0,54,41,1,0)
	anim:SetHotSpot(27,20)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('corel',anim,247,456,110,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/3_sheriff_cabinet_2/Items/mask.png',0,0,37,64,1,0)
	anim:SetHotSpot(18,32)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('mask',anim,712,178,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/3_sheriff_cabinet_2/Items/balloon.png',0,0,52,184,1,0)
	anim:SetHotSpot(26,92)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('balloon',anim,301,380,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/3_sheriff_cabinet_2/Items/angel1.png',0,0,80,57,1,0)
	anim:SetHotSpot(40,28)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('angel1',anim,738,51,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/3_sheriff_cabinet_2/Items/angel2.png',0,0,82,119,1,0)
	anim:SetHotSpot(41,59)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('angel2',anim,869,655,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/3_sheriff_cabinet_2/Layers/bottle.png',0,0,37,92,1,0)
	anim:SetHotSpot(18,46)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('bottle',anim,891,697,105,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/3_sheriff_cabinet_2/Layers/fan.png',0,0,78,97,1,0)
	anim:SetHotSpot(39,48)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('fan',anim,980,518,105,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/3_sheriff_cabinet_2/Items/mermaid.png',0,0,106,115,1,0)
	anim:SetHotSpot(53,57)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('mermaid',anim,630,399,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/3_sheriff_cabinet_2/Layers/bag.png',0,0,100,97,1,0)
	anim:SetHotSpot(50,48)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('bag',anim,184,648,125,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/3_sheriff_cabinet_2/Layers/lamp.png',0,0,77,127,1,0)
	anim:SetHotSpot(38,63)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('lamp',anim,492,63,110,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/3_sheriff_cabinet_2/Layers/umbrella.png',0,0,170,130,1,0)
	anim:SetHotSpot(85,65)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('umbrella',anim,414,702,120,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/3_sheriff_cabinet_2/Layers/hanger.png',0,0,365,117,1,0)
	anim:SetHotSpot(182,58)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('hanger',anim,409,699,110,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/3_sheriff_cabinet_2/Layers/flask.png',0,0,52,42,1,0)
	anim:SetHotSpot(26,21)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('flask',anim,351,747,140,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/3_sheriff_cabinet_2/Layers/l2.png',0,0,25,29,1,0)
	anim:SetHotSpot(12,14)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('l2',anim,755,704,105,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/3_sheriff_cabinet_2/Layers/Layer_NoLight.png',0,0,134,263,1,0)
	anim:SetHotSpot(67,131)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('flake',anim,957,152,110,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/3_sheriff_cabinet_2/Zoom/anim_seyfa.dds',0,0,87,115,15,14)
	anim:SetHotSpot(44,58)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('anim_seyfa',anim,266,586,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/Common/pixel.jpg',0,0,8,8,1,0)
	anim:SetHotSpot(4,4)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	screen:CreateObject('safe_door_active_zone',anim,261,584,115,0,10,10)
	local anim = CreateAnimation('data/Texture/Scenes/3_sheriff_cabinet_2/Items/battery2.png',0,0,28,52,1,0)
	anim:SetHotSpot(14,26)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('battery_zoom3',anim,673,353,162,105,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/3_sheriff_cabinet_2/Items/battery2.png',0,0,28,52,1,0)
	anim:SetHotSpot(14,26)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('battery_zoom',anim,274,382,162,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/3_sheriff_cabinet_2/Items/battery2.png',0,0,28,52,1,0)
	anim:SetHotSpot(14,26)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('battery_tool',anim,599,183,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/3_sheriff_cabinet_2/Items/battery2.png',0,0,28,52,1,0)
	anim:SetHotSpot(14,26)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('battery2_tool',anim,657,170,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/3_sheriff_cabinet_2/Zoom/coins.png',0,0,44,38,1,0)
	anim:SetHotSpot(22,19)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('coins',anim,283,404,164,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/3_sheriff_cabinet_2/Items/battery2.png',0,0,28,52,1,0)
	anim:SetHotSpot(14,26)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('battery',anim,512,384,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/3_sheriff_cabinet_2/Items/battery2.png',0,0,28,52,1,0)
	anim:SetHotSpot(14,26)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('battery3',anim,512,384,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/3_sheriff_cabinet_2/Items/key.png',0,0,22,57,1,0)
	anim:SetHotSpot(11,28)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('key',anim,985,138,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/3_sheriff_cabinet_2/Items/key.png',0,0,22,57,1,0)
	anim:SetHotSpot(11,28)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('key_tool',anim,800,76,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/3_sheriff_cabinet_2/Layers/glasses.png',0,0,69,29,1,0)
	anim:SetHotSpot(34,14)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('glasses',anim,293,752,115,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/3_sheriff_cabinet_2/Items/onion.png',0,0,62,60,1,0)
	anim:SetHotSpot(31,30)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('onion',anim,758,651,110,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/3_sheriff_cabinet_2/Items/rose.png',0,0,82,52,1,0)
	anim:SetHotSpot(41,26)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('rose',anim,724,742,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/3_sheriff_cabinet_2/cigar3.png',0,0,80,44,1,0)
	anim:SetHotSpot(40,22)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('cigar3',anim,537,567,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/3_sheriff_cabinet_2/Items/candy.png',0,0,38,23,1,0)
	anim:SetHotSpot(19,11)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('candy',anim,461,456,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/3_sheriff_cabinet_2/Zoom/item_ruchka.png',0,0,118,84,1,0)
	anim:SetHotSpot(59,42)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('item_ruchka',anim,344,591,156,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/3_sheriff_cabinet_2/Items/book.png',0,0,86,33,1,0)
	anim:SetHotSpot(43,16)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('book',anim,840,122,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/3_sheriff_cabinet_2/Layers/ugol.png',0,0,110,84,1,0)
	anim:SetHotSpot(55,42)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('ugol',anim,847,129,105,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/3_sheriff_cabinet_2/Items/starfish1.png',0,0,59,46,1,0)
	anim:SetHotSpot(29,23)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('starfish1',anim,718,504,100,0,1,1)
end

function FreeData(screen)
end
-- CLEAR_ON_SAVE_END
